Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] docker-compose broken after latest update
@ 2020-06-02  6:31 MatthiasGrandl
  2020-06-02  7:03 ` MatthiasGrandl
  0 siblings, 1 reply; 2+ messages in thread
From: MatthiasGrandl @ 2020-06-02  6:31 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 2202 bytes --]

New issue by MatthiasGrandl on void-packages repository

https://github.com/void-linux/void-packages/issues/22514

Description:
System

    xuname:
    Void 5.6.15_1 x86_64 AuthenticAMD uptodate rF
    package:
        docker-compose-1.24.1_3

Expected behavior

docker-compose --version successfully prints version and other info

Actual behavior

```
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (docker 4.2.0 (/usr/lib/python3.8/site-packages), Requirement.parse('docker[ssh]<4.0,>=3.7.0'), {'docker-compose'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/docker-compose", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3253, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3236, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3265, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'docker[ssh]<4.0,>=3.7.0' distribution was not found and is required by docker-compose

```


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: docker-compose broken after latest update
  2020-06-02  6:31 [ISSUE] docker-compose broken after latest update MatthiasGrandl
@ 2020-06-02  7:03 ` MatthiasGrandl
  0 siblings, 0 replies; 2+ messages in thread
From: MatthiasGrandl @ 2020-06-02  7:03 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 225 bytes --]

New comment by MatthiasGrandl on void-packages repository

https://github.com/void-linux/void-packages/issues/22514#issuecomment-637334559

Comment:
There are already two PRs that will probably fix this issue. #22500 #22499 

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-06-02  6:31 [ISSUE] docker-compose broken after latest update MatthiasGrandl
2020-06-02  7:03 ` MatthiasGrandl

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git